---
sidebar_position: 5
description: Get asynchronous change status and other functions to work with Dropbox in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Dropbox]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get asynchronous change status
 Get async job status for access changes



`Function GetAsynchronousChangeStatus(Val Token, Val JobID) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | JobID | --job | String | &#x2714; | AsynchronousJobID |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Dropbox



```bsl title="1C:Enterprise/OneScript code example"
    Token = "sl.u. ...";
    JobID = "dbjid:AAC4Snp6K-d2iTcrYGQQBgRl0mAf3GJf-08AVJgZ-a5HAH1aAiwqKGH_pesGK0XXyO89qpc-y8daWh9-UOjzikUQ";

    Result = OPI_Dropbox.GetAsynchronousChangeStatus(Token, JobID);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint dropbox GetAsynchronousChangeStatus \
             --token "***" \
             --job "dbjid:AABxTVvB07t1hzZpsvM2B0MaYJz_ACUrq6a_OsJmcW43jJ2AVfZVPmwyXXd7yfFm37y3Ej7H29Bd7EMntKEfWTIA"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint dropbox GetAsynchronousChangeStatus ^
             --token "***" ^
             --job "dbjid:AABxTVvB07t1hzZpsvM2B0MaYJz_ACUrq6a_OsJmcW43jJ2AVfZVPmwyXXd7yfFm37y3Ej7H29Bd7EMntKEfWTIA"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 ".tag": "complete"
}
```
